Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetServiceType

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetServiceType

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `InetServiceType8x`

public class InetServiceType extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `InetServiceType.InetAddressDescriptor`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADDRESS_TYPE_DYNAMIC`
  Динамический адрес
  `static final int`
  `ADDRESS_TYPE_DYNAMIC_OR_RANGE`
  Динамический или из диапазона
  `static final int`
  `ADDRESS_TYPE_DYNAMIC_OR_SINGLE`
  Динамический или указанный адрес
  `static final int`
  `ADDRESS_TYPE_NET`
  Указанная сеть
  `static final int`
  `ADDRESS_TYPE_NONE`
  `static final int`
  `ADDRESS_TYPE_NONE_OR_SINGLE`
  Либо выдавать указанный адрес, либо ничего не выдавать
  `static final int`
  `ADDRESS_TYPE_RANGE`
  Указанный диапазон
  `static final int`
  `ADDRESS_TYPE_SINGLE`
  Указанный адрес
  `static final int`
  `SESSION_INITIATION_AUTO`
  `static final int`
  `SESSION_INITIATION_CALL`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServiceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetServiceType.InetAddressDescriptor`
  `getAddressDescriptor()`
  `int`
  `getAddressType()`
  `String`
  `getConfig()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `Set<Integer>`
  `getDeviceTypeIds()`
  `Set<Integer>`
  `getParentTypeIds()`
  `int`
  `getSessionCountLimit()`
  `int`
  `getSessionInitiationType()`
  `int`
  `getTrafficTypeLinkId()`
  `boolean`
  `isAddressAllInterface()`
  `boolean`
  `isIpFromParentRange()`
  `boolean`
  `isNeedContractObject()`
  `boolean`
  `isNeedDevice()`
  `boolean`
  `isNeedIdentifier()`
  `boolean`
  `isNeedInterface()`
  `boolean`
  `isNeedLogin()`
  `boolean`
  `isNeedMacAddress()`
  `boolean`
  `isNeedRestriction()`
  `boolean`
  `isNeedVlan()`
  `boolean`
  `isPersonalInterface()`
  `boolean`
  `isPersonalVlan()`
  `boolean`
  `isSessionCountLimitLock()`
  `void`
  `setAddressAllInterface(boolean addressAllInterface)`
  `void`
  `setAddressType(int addressType)`
  `void`
  `setConfig(String config)`
  `void`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `void`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `void`
  `setIpFromParentRange(boolean ipFromParentRange)`
  `void`
  `setNeedContractObject(boolean needContractObject)`
  `void`
  `setNeedDevice(boolean needDevice)`
  `void`
  `setNeedIdentifier(boolean needIdentifier)`
  `void`
  `setNeedInterface(boolean needInterface)`
  `void`
  `setNeedLogin(boolean needLogin)`
  `void`
  `setNeedMacAddress(boolean needMacAddress)`
  `void`
  `setNeedRestriction(boolean needRestriction)`
  `void`
  `setNeedVlan(boolean needVlan)`
  `void`
  `setParentTypeIds(Set<Integer> parentTypeIds)`
  `void`
  `setPersonalInterface(boolean personalInterface)`
  `void`
  `setPersonalVlan(boolean personalVlan)`
  `void`
  `setSessionCountLimit(int sessionCountLimit)`
  `void`
  `setSessionCountLimitLock(boolean sessionCountLimitLock)`
  `void`
  `setSessionInitiationType(int sessionInitiationType)`
  `void`
  `setTrafficTypeLinkId(int trafficTypeLinkId)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### SESSION_INITIATION_CALL

    public static final int SESSION_INITIATION_CALL
    See Also:
      - Constant Field Values

  - ### SESSION_INITIATION_AUTO

    public static final int SESSION_INITIATION_AUTO
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_NONE

    public static final int ADDRESS_TYPE_NONE
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_RANGE

    public static final int ADDRESS_TYPE_RANGE
    Указанный диапазон
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_NET

    public static final int ADDRESS_TYPE_NET
    Указанная сеть
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_SINGLE

    public static final int ADDRESS_TYPE_SINGLE
    Указанный адрес
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_DYNAMIC

    public static final int ADDRESS_TYPE_DYNAMIC
    Динамический адрес
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_DYNAMIC_OR_SINGLE

    public static final int ADDRESS_TYPE_DYNAMIC_OR_SINGLE
    Динамический или указанный адрес
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_DYNAMIC_OR_RANGE

    public static final int ADDRESS_TYPE_DYNAMIC_OR_RANGE
    Динамический или из диапазона
    See Also:
      - Constant Field Values

  - ### ADDRESS_TYPE_NONE_OR_SINGLE

    public static final int ADDRESS_TYPE_NONE_OR_SINGLE
    Либо выдавать указанный адрес, либо ничего не выдавать
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetServiceType

    public InetServiceType()

- ## Method Details

  - ### getDeviceTypeIds

    public Set<Integer> getDeviceTypeIds()

  - ### setDeviceTypeIds

    public void setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### setDeviceGroupIds

    public void setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### getTrafficTypeLinkId

    public int getTrafficTypeLinkId()

  - ### setTrafficTypeLinkId

    public void setTrafficTypeLinkId(int trafficTypeLinkId)

  - ### getSessionInitiationType

    public int getSessionInitiationType()

  - ### setSessionInitiationType

    public void setSessionInitiationType(int sessionInitiationType)

  - ### getAddressType

    public int getAddressType()

  - ### getAddressDescriptor

    public InetServiceType.InetAddressDescriptor getAddressDescriptor()

  - ### setAddressType

    public void setAddressType(int addressType)

  - ### isAddressAllInterface

    public boolean isAddressAllInterface()

  - ### setAddressAllInterface

    public void setAddressAllInterface(boolean addressAllInterface)

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit(int sessionCountLimit)

  - ### isSessionCountLimitLock

    public boolean isSessionCountLimitLock()

  - ### setSessionCountLimitLock

    public void setSessionCountLimitLock(boolean sessionCountLimitLock)

  - ### isNeedLogin

    public boolean isNeedLogin()

  - ### setNeedLogin

    public void setNeedLogin(boolean needLogin)

  - ### isNeedDevice

    public boolean isNeedDevice()

  - ### setNeedDevice

    public void setNeedDevice(boolean needDevice)

  - ### isNeedInterface

    public boolean isNeedInterface()

  - ### setNeedInterface

    public void setNeedInterface(boolean needInterface)

  - ### isPersonalInterface

    public boolean isPersonalInterface()

  - ### setPersonalInterface

    public void setPersonalInterface(boolean personalInterface)

  - ### isNeedVlan

    public boolean isNeedVlan()

  - ### setNeedVlan

    public void setNeedVlan(boolean needVlan)

  - ### isPersonalVlan

    public boolean isPersonalVlan()

  - ### setPersonalVlan

    public void setPersonalVlan(boolean personalVlan)

  - ### isNeedIdentifier

    public boolean isNeedIdentifier()

  - ### setNeedIdentifier

    public void setNeedIdentifier(boolean needIdentifier)

  - ### isNeedMacAddress

    public boolean isNeedMacAddress()

  - ### setNeedMacAddress

    public void setNeedMacAddress(boolean needMacAddress)

  - ### isNeedContractObject

    public boolean isNeedContractObject()

  - ### setNeedContractObject

    public void setNeedContractObject(boolean needContractObject)

  - ### isNeedRestriction

    public boolean isNeedRestriction()

  - ### setNeedRestriction

    public void setNeedRestriction(boolean needRestriction)

  - ### getParentTypeIds

    public Set<Integer> getParentTypeIds()

  - ### setParentTypeIds

    public void setParentTypeIds(Set<Integer> parentTypeIds)

  - ### isIpFromParentRange

    public boolean isIpFromParentRange()

  - ### setIpFromParentRange

    public void setIpFromParentRange(boolean ipFromParentRange)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)